Tool: list_exascale_db_storage_vaults
List Exascale DB Storage Vaults in a Google Cloud project in the given location.
The following sample demonstrate how to use curl to invoke the list_exascale_db_storage_vaults MCP tool.
| Curl Request |
|---|
curl --location 'https://oracledatabase.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_exascale_db_storage_vaults", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
The request for ExascaleDbStorageVault.List.
ListExascaleDbStorageVaultsRequest
| JSON representation |
|---|
{ "parent": string, "pageSize": integer, "pageToken": string, "filter": string, "orderBy": string } |
| Fields | |
|---|---|
parent |
Required. The parent value for ExascaleDbStorageVault in the following format: projects/{project}/locations/{location}. |
pageSize |
Optional. The maximum number of items to return. If unspecified, at most 50 ExascaleDbStorageVaults will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A token identifying a page of results the server should return. |
filter |
Optional. An expression for filtering the results of the request. Filter the list as specified in https://google.aip.dev/160. |
orderBy |
Optional. An expression for ordering the results of the request. Order results as specified in https://google.aip.dev/132. |
Output Schema
The response for ExascaleDbStorageVault.List.
ListExascaleDbStorageVaultsResponse
| JSON representation |
|---|
{
"exascaleDbStorageVaults": [
{
object ( |
| Fields | |
|---|---|
exascaleDbStorageVaults[] |
The ExascaleDbStorageVaults. |
nextPageToken |
A token identifying a page of results the server should return. If present, the next page token can be provided to a subsequent ListExascaleDbStorageVaults call to list the next page. If empty, there are no more pages. |
ExascaleDbStorageVault
| JSON representation |
|---|
{
"name": string,
"displayName": string,
"gcpOracleZone": string,
"properties": {
object ( |
| Fields | |
|---|---|
name |
Identifier. The resource name of the ExascaleDbStorageVault. Format: projects/{project}/locations/{location}/exascaleDbStorageVaults/{exascale_db_storage_vault} |
displayName |
Required. The display name for the ExascaleDbStorageVault. The name does not have to be unique within your project. The name must be 1-255 characters long and can only contain alphanumeric characters. |
gcpOracleZone |
Optional. The GCP Oracle zone where Oracle ExascaleDbStorageVault is hosted. Example: us-east4-b-r2. If not specified, the system will pick a zone based on availability. |
properties |
Required. The properties of the ExascaleDbStorageVault. |
createTime |
Output only. The date and time when the ExascaleDbStorageVault was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
entitlementId |
Output only. The ID of the subscription entitlement associated with the ExascaleDbStorageVault. |
labels |
Optional. The labels or tags associated with the ExascaleDbStorageVault. An object containing a list of |
ExascaleDbStorageVaultProperties
| JSON representation |
|---|
{ "ocid": string, "timeZone": { object ( |
| Fields | |
|---|---|
ocid |
Output only. The OCID for the ExascaleDbStorageVault. |
timeZone |
Output only. The time zone of the ExascaleDbStorageVault. |
exascaleDbStorageDetails |
Required. The storage details of the ExascaleDbStorageVault. |
state |
Output only. The state of the ExascaleDbStorageVault. |
description |
Optional. The description of the ExascaleDbStorageVault. |
vmClusterIds[] |
Output only. The list of VM cluster OCIDs associated with the ExascaleDbStorageVault. |
vmClusterCount |
Output only. The number of VM clusters associated with the ExascaleDbStorageVault. |
additionalFlashCachePercent |
Optional. The size of additional flash cache in percentage of high capacity database storage. |
ociUri |
Output only. Deep link to the OCI console to view this resource. |
attachedShapeAttributes[] |
Output only. The shape attributes of the VM clusters attached to the ExascaleDbStorageVault. |
availableShapeAttributes[] |
Output only. The shape attributes available for the VM clusters to be attached to the ExascaleDbStorageVault. |
TimeZone
| JSON representation |
|---|
{ "id": string, "version": string } |
| Fields | |
|---|---|
id |
IANA Time Zone Database time zone. For example "America/New_York". |
version |
Optional. IANA Time Zone Database version number. For example "2019a". |
ExascaleDbStorageDetails
| JSON representation |
|---|
{ "availableSizeGbs": integer, "totalSizeGbs": integer } |
| Fields | |
|---|---|
availableSizeGbs |
Output only. The available storage capacity for the ExascaleDbStorageVault, in gigabytes (GB). |
totalSizeGbs |
Required. The total storage allocation for the ExascaleDbStorageVault, in gigabytes (GB). |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌